Skip to main content
GET
/
profiles
/
v1
/
patient
/
by-mobile
/
Retrieve patient profiles by mobile number
curl --request GET \
  --url https://api.eka.care/profiles/v1/patient/by-mobile/ \
  --header 'Authorization: Bearer <token>' \
  --header 'client-id: <client-id>'
import requests

url = "https://api.eka.care/profiles/v1/patient/by-mobile/"

headers = {
"client-id": "<client-id>",
"Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'client-id': '<client-id>', Authorization: 'Bearer <token>'}
};

fetch('https://api.eka.care/profiles/v1/patient/by-mobile/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "mobile": "1212121212",
  "fln": "Test user",
  "dob": "2000-01-02",
  "gen": "M",
  "oid": "175074536120088",
  "username": "US0001",
  "abha": "xyz@abdm",
  "ccd": "+91",
  "ps": "P"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

client-id
string
required
Example:

"EC_1431"

Query Parameters

mob
string
required
Example:

"+911234567890"

full_profile
boolean
default:false

If true, returns the full patient profile details.

Response

200 - application/json

Patient profile details

mobile
string
Example:

"1212121212"

fln
string
Example:

"Test user"

dob
string<date>
Example:

"2000-01-02"

gen
string
Example:

"M"

oid
string
Example:

"175074536120088"

username
string
Example:

"US0001"

abha
string
Example:

"xyz@abdm"

ccd
string
Example:

"+91"

ps
string
Example:

"P"